petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASCycleSetCycles

Sets the number of cycles on a particular level.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleSetCycles(SNES snes, PetscInt cycles)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the multigrid context Many br
| level | - the level to set the number of cycles on Many br
| cycles | - the number of cycles -- 1 for V-cycle, 2 for W-cycle Many br

Many br

### Keywords

SNES, FAS, set, cycles, V-cycle, W-cycle, multigrid

### See Also

SNESFASSetCycles()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages